Bug 198622 - Calendar Go To Today doesn't go to Today
Calendar Go To Today doesn't go to Today
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2006-07-12 08:15 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0179
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-01 13:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 274234 None None None Never

  None (edit)
Description Bastien Nocera 2006-07-12 08:15:05 EDT
+++ This bug was initially created as a clone of Bug #138870 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; rv:1.7.3)
Gecko/20040913 Firefox/0.10.1

Description of problem:
The Calendar component of Evolution has a "Go To" button on the
toolbar. Selecting it has an option "Select Today". Pressing this
button should select the current date. Unfortunately selecting this
only makes it go to October 31, 2004.

Of note is that Evolution also starts with October 31, 2004 as
selected. It seems it does know about the current date as the date
today (November 12, 2004) is colored red. It just doesn't select it as

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run Evolution, Calendar component.
2. Click "Go To" on the toolbar. Click "Select Today" button on the

Actual Results:  Selected date remains at original incorrect starting
date of October 31, 2004.

Expected Results:  The selected date should have been the one already
detected and colored red (November 12, 2004).

Additional info:

Have tried with a "clean slate", closing evolution, and killing all in
the result of "ps aux | grep evo" which are evolution-data-server and
evolution-alarm-notify. Bug seems to still be present after this.

Note, have not tested by changing the current date of my laptop to see
if the incorrect "Today" moves to November 1, or remains at October 31.

This is on an updated FC3. Up to the recently released
postfix-2.1.5-2.3.FC3 patch.

-- Additional comment from dmalcolm@redhat.com on 2004-11-11 14:25 EST --
Looking at the code, it should be calling the "time" function to get
at the date.  What output do you get if you type "date" in a terminal?

(BTW, it's November 11th today; at least, it is, according to
Bugzilla.  What time zone are you in?)

-- Additional comment from thepoch@gmail.com on 2004-11-12 00:54 EST --
"date" results in:

Fri Nov 12 13:52:43 PHT 2004

my /etc/sysconfig/clock has:


Both are correct for me. +8 GMT I believe.

Additional info is that it only happens in Month view. I tested with
Day, Work Week, and Week views and it goes to the current date/week
correctly. I obviously did not test in all views previously. Anyway,
it does detect the currect date correctly, as the little number in the
Month view boxes turns red on whatever is today (for me Nov. 12). It
just doesn't highlight it with the blue "selection" bar with the Go To

Anyway else to test this?
Comment 2 Bastien Nocera 2006-08-18 05:06:59 EDT
Thanks to Chenthill at Novell I found this upstream bugzilla and patch which
fixes the issue. The bug:
and the patch:
Comment 4 RHEL Product and Program Management 2006-08-18 11:11:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 5 Matthew Barnes 2006-08-18 12:58:19 EDT
Patch applied to evolution-2.0.2-29.el4.  Seems to work.
Comment 9 Red Hat Bugzilla 2007-05-01 13:23:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.